# Command: end

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    end - Close the current (topmost) dictionary.

Synopsis:

    - end ->	-

Description:

      Closes the current dictionary by removing the top element
      of the dictionary stack.
      Note that end cannot pop the dictionary stack beyond the two
      standard dictionaries systemdict and userdict. If this is tried,
      a DictStackUnderflow Error is raised.

Diagnostics:

      DictStackUnderflow

SeeAlso:

- begin
- dictstack
- cleardictstack
- countdictstack

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/slidict.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative